Subject: Opsdir last call review of draft-ietf-netmod-schema-mount-10

From: Mehmet Ersue <[email-masked]>
Date: Fri, 29 Jun 2018 07:07:47 -0700

Reviewer: Mehmet Ersue
Review result: Has Nits

I have reviewed this document as part of the Operational directorate's ongoing
effort to review all IETF documents being processed by the IESG.  These
comments were written with the intent of improving the operational aspects of
the IETF drafts. Comments that are not addressed in last call may be included
in AD reviews during the IESG review.  Document editors and WG chairs should
treat these comments just like any other last call comments.

Intended status: Standards Track
Current IESG state: Waiting for Writeup
IANA review state: Not OK / Expert review needed (see
https://datatracker.ietf.org/doc/draft-ietf-netmod-schema-mount/history/)

Summary:
The document defines a mechanism to add the schema trees defined by a set of
YANG modules onto a mount point defined in the schema tree in some YANG modules.

I think the document is well-written and can be published after addressing last
issues indicated by different reviews.

A few nits below:

- In 2.  Terminology and Notation
for both "system-controlled interface" and "YANG library checksum":
s/are not/is not/

- In 2.1.  Glossary of New Terms
As there are indeed terms which are not new I would suggest to change the
section title to: "Glossary of Used Terms". One can even merge section 2 and
section 2.1.

- As one of the commenters indicated, the words "schema mount" are often used
casually and without an article. Though what the author means is "the schema
mount mechanism" which is specifically defined in this document.

Regards,
Mehmet

---

From: Martin Bjorklund <[email-masked]>
Date: Fri, 29 Jun 2018 21:39:30 +0200 (CEST)

Hi,

Thank you for this review, comments inline.

> for both "system-controlled interface" and "YANG library checksum":

Fixed, thanks.

> section title to: "Glossary of Used Terms". One can even merge section 2 and

Ok.  I suggest we remove 2.1 and instead add:

> mount mechanism" which is specifically defined in this document.

In the Introduction, the document says:

  This document introduces a new mechanism, denoted as schema
  mount, that allows for mounting one data model [...]

so I wonder if the solution to both these problem is to define "schema
mount" as a term in 2.1, instead of replacing "schema mount" with "the
schema mount mechanism" in the whole document?

/martin

---

From: "Mehmet Ersue" <[email-masked]>
Date: Sat, 30 Jun 2018 22:46:34 +0100

Thanks. See below.

Cheers,
Mehmet

> -----Original Message-----
> From: Martin Bjorklund <[email-masked]>
> Sent: Friday, June 29, 2018 8:40 PM
...
> > As there are indeed terms which are not new I would suggest to change
> > the section title to: "Glossary of Used Terms". One can even merge
> > section 2 and section 2.1.
> 
Sounds good.
 
> 
> > - As one of the commenters indicated, the words "schema mount" are
> > often used casually and without an article. Though what the author
> > means is "the schema mount mechanism" which is specifically defined in
> this document.
> 
This is fine. To qualify the specific new term I would like to suggest to
use an article in appropriate cases.